tbb::flow::interface8::split_node< TupleType, Allocator > Class Template Reference

split_node: accepts a tuple as input, forwards each element of the tuple to its More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface8::split_node< TupleType, Allocator >:

## Public Types

typedef base_type::output_ports_type | output_ports_type
typedef base_type::output_type | output_type
typedef TupleType | input_type
typedef Allocator | allocator_type
Public Types inherited from tbb::flow::interface8::multifunction_node< TupleType, TupleType, rejecting, Allocator >
typedef TupleType | input_type
typedef null_type | output_type
typedef internal::wrap_tuple_elements < N, internal::multifunction_output, TupleType >::type | output_ports_type
typedef internal::multifunction_input < input_type, output_ports_type, Allocator > | fInput_type
typedef internal::function_input_queue < input_type, Allocator > | input_queue_type

## Public Member Functions

| split_node (graph &g)
| split_node (const split_node &other)
void | set_name (const char *name)
Public Member Functions inherited from tbb::flow::interface8::multifunction_node< TupleType, TupleType, rejecting, Allocator >
| multifunction_node (graph &g, size_t concurrency, Body body)
| multifunction_node (const multifunction_node &other)
void | set_name (const char *name)
void | extract ()
Public Member Functions inherited from tbb::flow::interface8::graph_node
| graph_node (graph &g)

## Additional Inherited Members

Protected Member Functions inherited from tbb::flow::interface8::multifunction_node< TupleType, TupleType, rejecting, Allocator >
void | reset_node (reset_flags f)
Protected Attributes inherited from tbb::flow::interface8::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev
Static Protected Attributes inherited from tbb::flow::interface8::multifunction_node< TupleType, TupleType, rejecting, Allocator >
static const int | N

## Detailed Description

### template<typename TupleType, typename Allocator = cache_aligned_allocator<TupleType>>
class tbb::flow::interface8::split_node< TupleType, Allocator >

split_node: accepts a tuple as input, forwards each element of the tuple to its

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.